Name:		ffmpeg0
Version:	0.11.4
Release:	2%{?dist}
Summary:	FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.

Group:		System Environment/Libraries
License:	Mixed
URL:		http://ffmpeg.org/
Source0:	http://ffmpeg.org/releases/ffmpeg-%{version}.tar.bz2
Source1:	ffmpeg-%{version}.tar.bz2.asc
Patch0:     ffmpeg-0.11.4-ascii.patch

Conflicts:  ffmpeg2
Conflicts:  ffmpeg1
Conflicts:  ffmpeg

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	bzip2-devel yasm
BuildRequires:	libass-devel openjpeg-devel
BuildRequires:	libdc1394-devel
BuildRequires:	gsm-devel libmodplug-devel opencv-devel
BuildRequires:	libcdio-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libX11-devel libXext-devel libXfixes-devel
BuildRequires:	fontconfig-devel
BuildRequires:	pkgconfig openssl-devel
BuildRequires:	SDL-devel texi2html texinfo

%if 0%{?fedora} >= 19
BuildRequires:	libcdio-paranoia-devel
BuildRequires:	perl-podlators
%endif

%if 0%{?fedora}
BuildRequires:	frei0r-devel
%endif
%if 0%{?rhel} > 5 || 0%{?fedora}
BuildRequires:	celt-devel >= 0.11.0
BuildRequires:	libvpx-devel >= 0.9.7
BuildRequires:	speex-devel
BuildRequires:	gnutls-devel >= 2
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	libtheora-devel
BuildRequires:	libbluray-devel
BuildRequires:	schroedinger-devel
BuildRequires:	openal-soft-devel
BuildRequires:	libv4l-devel
%endif

BuildRequires:  libavc1394-devel libvdpau-devel

# Original rpm packages
BuildRequires:	libaacplus-devel
BuildRequires:	faac-devel
BuildRequires:	lame-devel
BuildRequires:	libnut-devel
BuildRequires:	libopencore-amr-devel
BuildRequires:	librtmp-devel
BuildRequires:	libvo-aacenc
BuildRequires:	libvo-amrwbenc
BuildRequires:	libx264-devel
BuildRequires:	libxvidcore-devel
BuildRequires:	libopencore-amr-devel libopencore-amr

%description
FFmpeg is a complete, cross-platform solution to record, convert and stream audio and video.

%package devel
Summary:	Libraries for FFmpeg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries for FFmpeg

%package static
Summary:	Static libraries for FFmpeg
Group:		Development/Libraries

%description static
Static libraries for FFmpeg

%prep
%setup -q -n ffmpeg-%{version}
%patch0 -p1

%build
LDFLAGS="-lssl -lcrypto"
%ifarch x86_64
CFLAGS="-fPIC -m64"
%else
CFLAGS="-fPIC"
%endif
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir}/ffmpeg \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--mandir=%{_mandir} \
	--extra-cflags=-fPIC \
	--extra-ldflags="-lstdc++" \
	--enable-shared \
	--enable-gpl \
	--enable-version3 \
	--enable-nonfree \
	--enable-avresample \
	--enable-bzlib \
	--enable-fontconfig \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-libdc1394 \
	--enable-libfaac \
	--enable-libgsm \
	--enable-libmp3lame \
	--enable-libnut \
	--enable-libopenjpeg \
	--enable-librtmp \
	--enable-libvorbis \
	--enable-libx264 \
	--enable-libxvid \
	--enable-memalign-hack \
	--extra-ldflags=-fPIC \
	--extra-cflags=-fPIC \
	--enable-pthreads \
	--enable-postproc \
	--enable-avfilter \
	--enable-x11grab \
	--enable-libaacplus \
	--enable-libopencv \
	--enable-libcdio \
	--enable-libfreetype \
	--enable-libvo-aacenc \
	--enable-libvo-amrwbenc \
%if 0%{?fedora}
	--enable-frei0r \
	--enable-libcelt \
	--enable-libvpx \
%endif
%if 0%{?rhel} > 5 || 0%{?fedora}
	--enable-libtheora \
	--enable-libass \
	--enable-libbluray \
	--enable-libv4l2 \
	--enable-openal \
	--enable-libschroedinger \
	--enable-libpulse \
	--enable-gnutls \
	--enable-openssl \
	--enable-libspeex \
%endif
%if 0%{?rhel} <= 5
	--disable-yasm \
%endif
	--enable-libgsm \
	--enable-libmodplug \
	--enable-pic \
	--enable-thumb

## pending options
#	--enable-libflite \
#	--enable-libstagefright-h264 \
##

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
install -D -m0644 doc/ffserver.conf %{buildroot}%{_sysconfdir}/ffserver.conf

rm -rf $RPM_BUILD_ROOT%{_docdir}/ffmpeg

%files
%doc COPYING* CREDITS Changelog INSTALL LICENSE MAINTAINERS README RELEASE VERSION
%{_bindir}/ffmpeg
%{_bindir}/ffprobe
%{_bindir}/ffserver
%{_bindir}/ffplay
%{_mandir}/man1/ffmpeg.1*
%{_mandir}/man1/ffprobe.1*
%{_mandir}/man1/ffserver.1*
%{_mandir}/man1/ffplay.1*
%{_libdir}/*.so.*
%{_datadir}/ffmpeg/*.ffpreset
%{_datadir}/ffmpeg/ffprobe.xsd
%config(noreplace) %{_sysconfdir}/ffserver.conf

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libavcodec/*.h
%{_includedir}/libavdevice/*.h
%{_includedir}/libavfilter/*.h
%{_includedir}/libavformat/*.h
%{_includedir}/libavresample/*.h
%{_includedir}/libavutil/*.h
%{_includedir}/libpostproc/*.h
%{_includedir}/libswresample/*.h
%{_includedir}/libswscale/*.h
%{_datadir}/ffmpeg/examples/*

%files static
%{_libdir}/*.a

%changelog
* Thu Jul 17 2014 momo-i <webmaster@momo-i.org> - 0.11.4-2
- Add conflicts

* Mon Feb 24 2014 momo-i <webmaster@momo-i.org> - 0.11.4-1
- Initial rpm release.
